Skip to main content
GET
/
api
/
agents
/
{agentId}
/
runs
List agent runs
curl --request GET \
  --url https://app.outlit.ai/api/agents/{agentId}/runs \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.outlit.ai/api/agents/{agentId}/runs"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.outlit.ai/api/agents/{agentId}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "ok": true,
  "commandId": "<string>",
  "commandVersion": 123,
  "correlationId": "<string>",
  "result": {
    "operationId": "<string>",
    "status": "<string>",
    "resources": [
      {
        "type": "<string>",
        "id": "<string>"
      }
    ],
    "data": {
      "runs": [
        {
          "id": "<string>",
          "runId": "<string>",
          "agentId": "<string>",
          "summary": "<string>",
          "errorSummary": "<string>",
          "sandboxStatus": "<string>",
          "startedAt": "2023-11-07T05:31:56Z",
          "endedAt": "2023-11-07T05:31:56Z",
          "durationMs": 1,
          "counts": {
            "candidates": 1,
            "tools": 1,
            "artifacts": 1,
            "outputs": 1
          },
          "outputs": [
            {
              "id": "<string>",
              "deliveredAt": "2023-11-07T05:31:56Z",
              "createdAt": "2023-11-07T05:31:56Z"
            }
          ]
        }
      ],
      "pagination": {
        "hasMore": true,
        "nextCursor": "<string>"
      }
    },
    "warnings": [
      "<string>"
    ],
    "auditId": "<string>"
  }
}
{
"error": "Invalid credentials"
}
{
"ok": true,
"commandId": "<string>",
"commandVersion": 2,
"error": {
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"details": {}
}
}
{
"ok": true,
"commandId": "<string>",
"commandVersion": 2,
"error": {
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"details": {}
}
}
{
"error": "Internal server error"
}
{
"ok": true,
"commandId": "<string>",
"commandVersion": 2,
"error": {
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"details": {}
}
}

Authorizations

Authorization
string
header
required

Outlit API key using the Bearer ok_... format.

Path Parameters

agentId
string
required

Agent ID.

Minimum string length: 1

Query Parameters

limit
integer
default:20

Maximum runs to return.

Required range: 1 <= x <= 100
cursor
string

Pagination cursor from the previous response.

Response

Agent run summaries were returned.

ok
boolean
required
commandId
string
required
Allowed value: "agent.run.list"
commandVersion
integer
required
correlationId
string
required
result
object
required